<ng-template #contentFac let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Actualización Correcta</h4>
   
  </div>
  <div class="modal-body">
    <form>
      <div class="mb-3">
        <p>* Para ver los cámbios en la información actualizada es necesario cerrar
          sesión e ingresar nuevamente.</p>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-primary"
      (click)="modal.close(1)">Aceptar</button>

  </div>`
</ng-template>


  <div class=" row col-sm-12 titulo text-center">
    Perfil de Usuario
  </div>

<div class="row fondocafe">
  <div class="col-sm-12 espacio ">
    <h6 style="color: white;">* Para ver los cámbios en la información actualizada es necesario cerrar
      sesión e ingresa nuevamente.</h6>
  </div>
</div>
<div class="row fondocafe">
  <div class="col-sm-4 ">

  </div>
  <div class="col-sm-4 ">
    <div class="card align-items-center" style="margin-top: 20px;margin-bottom: 20px;">
      <div class="card-body ">
        <form name="myForm">
          <div class="form-group">
            <div class="row">
              <div class="col-sm-6 ">
                <input type="text" maxlength="50" name="nombre"
                  [(ngModel)]="usuario.nombre" placeholder="Nombre"
                  class="form-control" autofocus/>
                <label class="form-label error" for="nombre"
                  *ngIf="errorNombre">{{strNombre}}</label>
              </div>
              <div class="col-sm-6 ">
                <input type="text" name="apellido" maxlength="50"
                  [(ngModel)]="usuario.apellido" placeholder="Apellido"
                  class="form-control" autofocus/>
                <label class="form-label error" for="apellido"
                  *ngIf="errorApellido">{{strApellido}}</label>
              </div>
            </div>
            <br>
            <input type="email" name="email" maxlength="75"
              [(ngModel)]="usuario.email" placeholder="Email"
              class="form-control" autofocus/>
            <label class="form-label error" for="email" *ngIf="errorEmail">{{strEmail}}</label>
            <br>

            <textarea type="text" name="direccion"
              [(ngModel)]="usuario.direccion" placeholder="Dirección"
              class="form-control" rows="2" autofocus></textarea>
            <label class="form-label error" for="direccion"
              *ngIf="errorDireccion">{{strDireccion}}</label>
            <br>
            <div class="row">
              <div class="col-sm-12 ">
                <div class="input-group">
                  <input [type]="!vista?'password':'text'" name="contrasena"
                    [(ngModel)]="usuario.contrasena" placeholder="Contraseña"
                    class="form-control" autofocus/>
                  <div class="input-group-append">

                    <button class="btn btn-outline-secondary" type="button"
                      id="button-addon2" (click)="vistaPas()"><i
                        [ngClass]="!vista?'bi
                        bi-eye-slash':'bi bi-eye'"
                        id="togglePassword"></i>
                    </button>
                  </div>
                </div>
                <label class="form-label error" for="contrasena"
                  *ngIf="errorContrasena">{{strContrasena}}</label>
              </div>

            </div>
<br>  
            <div class="row">
              <div class="col-sm-12 ">
                <div class="input-group">
                  <input [type]="!vista1?'password':'text'" name="contrasena1"
                    [(ngModel)]="contrasena" placeholder="Repetir Contraseña"
                    class="form-control" autofocus/>
                  <div class="input-group-append">

                    <button class="btn btn-outline-secondary" type="button"
                      id="button-addon2" (click)="vistaPas1()"><i
                        [ngClass]="!vista1?'bi
                        bi-eye-slash':'bi bi-eye'"
                        id="togglePassword"></i>
                    </button>
                  </div>
                </div>
                <label class="form-label error" for="contrasena"
                  *ngIf="errorContrasena1">{{strContrasena1}}</label>
              </div>

            </div>
            <br> 

            <div class="row">
              <div class="col-sm-6 mb-3">
                <label for="imagen" class="form-label">Imagen</label>
                <input class="form-control form-control-sm" id="imagen"
                  (change)="capturarImagen($event)" type="file"
                  accept="image/png, image/jpeg">
              </div>
              <div class="col-sm-6 ">

                <img src="{{usuario.imagen}}" alt="" style="width: 100%;">
              </div>
            </div>
            <div>

            </div>
            <div>

            </div>

          </div>
          <hr>


          <!-- Acciones que podemos realizar en el formulario -->
          <div class="row">
            <button type="submit" class="btn boton" (click)="actualizar()">Actualizar</button>
           </div>  
           <hr>
           <div class="row">
            <button type="submit" class="btn boton" (click)="cancelar()">Cancelar</button>
           </div>  
          
          
          
        </form>
      </div>
    </div>
  </div>
  <div class="col-sm-4 ">

  </div>
</div>